Quassel IRC - Bug #679

Phonon doesn't play notification media more than once
04/20/2009 04:41 PM - Squider

Status: Resolved Start date: 04/20/2009
Priority: Normal Due date: 04/20/2009
Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.50 hour
Target version: 0.4.2

Version: 0.41 0S: Windows
Description

Phonon doesn't play notification media more than once atleast on Windows.

Suggested fix:

--- src/qtui/phononnotificationbackend.cpp Mon Apr 20 17:21:01 2009
++ src/gtui/phononnotificationbackend.cpp Mon Apr 20 17:21:02 2009
@ -49,6 +49.7 @

void PhononNotificationBackend::notify(const Notification &notification) {
Q_UNUSED(notification)

if(_enabled && _media) {

_media->stop();

_media->play();

!
1

Associated revisions

Revision 90054426faf4e49ce164567e04bf9b02d50bdc47 - 05/07/2009 09:52 PM - Manuel Nickschas

Fix problems with phonon media playback

Suggested by Squider, thanks! Fixes #679.

Revision 90054426 - 05/07/2009 09:52 PM - Manuel Nickschas

Fix problems with phonon media playback

Suggested by Squider, thanks! Fixes #679.

Revision 30b20675875c48a53eaebcfd17e3ae4cad8c28f0 - 05/07/2009 09:55 PM - Manuel Nickschas
Fix problems with phonon media playback

Suggested by Squider, thanks! Fixes #679.

Revision 30b20675 - 05/07/2009 09:55 PM - Manuel Nickschas

Fix problems with phonon media playback

Suggested by Squider, thanks! Fixes #679.

History

#1 - 05/07/2009 10:01 PM - Sputnick

- Status changed from New to Resolved

Applied in changeset 90054426faf4e49ce164567e04bf9b02d50bdc47.
